AvailableLanIp
1. API Description
This API (AvailableLanIp) is used to query the elastic vNICs that can be associated with a specified elastic IP (EIP) and their private IPv4 addresses.
2. Input Parameters
The following request parameter list only provides API request parameters.
eipId
Yes
String
ID of the elastic IP to be queried.
The interface returns all bindable vNICs and private IPs in the subnets in the same region as this EIP.
The EIP ID can be obtained through the DescribeEips interface.
3. Output Parameters
requestId
String
The unique request ID, which is returned for each request.
RequestId is required for locating a problem.
lanIps
Array of PrivateIpInfo
List of the vNIC and private IP combinations that can be bound to the specified EIP.
4. Code Example
Obtain available private IP.
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: AvailableLanIp
Request:
{
"eipId": "xxx"
}
Response:
{
"requestId": "TBFC01FCF-6439-4530-ADBC-16809F0C3E8F",
"response": {
"requestId": "TBFC01FCF-6439-4530-ADBC-16809F0C3E8F",
"lanIps": [
{
"lanIp": "xxx",
"nicId": "xxx",
"nicName": "xxx",
"instanceId": "xxx",
"instanceName": "xxx"
}
]
}
}5. Developer Resources
Zenlayer Cloud API 2.0 integrates SDKs,to make it easier for you to call APIs. More programming languages will be supported.
6. Error Codes
The following only lists the error codes related to the API business logic. For other error codes, see Common Error Codes.
404
INVALID_EIP_NOT_FOUND
Elastic IP does not exist.
Last updated